Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTrading::Proxy Interface Reference

`import "CosTrading.idl";`

Inheritance diagram for CosTrading::Proxy:

[legend]
Collaboration diagram for CosTrading::Proxy:

[legend]
List of all members.

## Public Types
typedef Istring | ConstraintRecipe
## Public Methods
OfferId | export_proxy (in Lookup target, in ServiceTypeName type, in PropertySeq properties, in boolean if_match_all, in ConstraintRecipe recipe, in PolicySeq policies_to_pass_on) raises (IllegalServiceType, UnknownServiceType, InvalidLookupRef, IllegalPropertyName, PropertyTypeMismatch, ReadonlyDynamicProperty, MissingMandatoryProperty, IllegalRecipe, DuplicatePropertyName, DuplicatePolicyName)
void | withdraw_proxy (in OfferId id) raises (IllegalOfferId, UnknownOfferId, NotProxyOfferId)
ProxyInfo | describe_proxy (in OfferId id) raises (IllegalOfferId, UnknownOfferId, NotProxyOfferId)

## Member Typedef Documentation

typedef Istring CosTrading::Proxy::ConstraintRecipe

## Member Function Documentation

ProxyInfo CosTrading::Proxy::describe_proxy | ( | in OfferId | id | ) | raises (IllegalOfferId, UnknownOfferId, NotProxyOfferId)

OfferId CosTrading::Proxy::export_proxy | ( | in Lookup | target,
|  | in ServiceTypeName | type,
|  | in PropertySeq | properties,
|  | in boolean | if_match_all,
|  | in ConstraintRecipe | recipe,
|  | in PolicySeq | policies_to_pass_on
| ) | raises (IllegalServiceType, UnknownServiceType, InvalidLookupRef, IllegalPropertyName, PropertyTypeMismatch, ReadonlyDynamicProperty, MissingMandatoryProperty, IllegalRecipe, DuplicatePropertyName, DuplicatePolicyName)

void CosTrading::Proxy::withdraw_proxy | ( | in OfferId | id | ) | raises (IllegalOfferId, UnknownOfferId, NotProxyOfferId)

The documentation for this interface was generated from the following file:

- CosTrading.idl